Module | Sequel::MSSQL::DatasetMethods
In: | lib/sequel/adapters/shared/mssql.rb

### Methods

complex_expression_sql full_text_search multi_insert_sql nolock quoted_identifier

### Included Modules

Dataset::UnsupportedIntersectExcept

### Constants

SELECT_CLAUSE_ORDER | = | %w'limit distinct columns from with join where group order having compounds'.freeze

### Public Instance methods

complex_expression_sql(op, args)

[Source]

        # File lib/sequel/adapters/shared/mssql.rb, line 55
    55:       def complex_expression_sql(op, args)
    56:         case op
    57:         when '||''||'
    58:           super(:+, args)
    59:         else
    60:           super(op, args)
    61:         end
    62:       end

full_text_search(cols, terms, opts = {})

[Source]

        # File lib/sequel/adapters/shared/mssql.rb, line 64
    64:       def full_text_search(cols, terms, opts = {})
    65:         filter("CONTAINS (#{literal(cols)}, #{literal(terms)})")
    66:       end

multi_insert_sql(columns, values)

[Source]

        # File lib/sequel/adapters/shared/mssql.rb, line 68
    68:       def multi_insert_sql(columns, values)
    69:         values = values.map {|r| "SELECT #{expression_list(r)}" }.join(" UNION ALL ")
    70:         ["INSERT INTO #{source_list(@opts[:from])} (#{identifier_list(columns)}) #{values}"]
    71:       end

nolock()

Allows you to do .nolock on a query

[Source]

        # File lib/sequel/adapters/shared/mssql.rb, line 74
    74:       def nolock
    75:         clone(:with => "(NOLOCK)")
    76:       end

quoted_identifier(name)

[Source]

        # File lib/sequel/adapters/shared/mssql.rb, line 78
    78:       def quoted_identifier(name)
    79:         "[#{name}]"
    80:       end

[Validate]